Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOption.OptionType

    java.lang.Object
      java.lang.Enum<QStyleOption.OptionType>
          com.trolltech.qt.gui.QStyleOption.OptionType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOption.OptionType>

Enclosing class:
  QStyleOption

    public static enum QStyleOption.OptionType

extends java.lang.Enum<QStyleOption.OptionType>
implements QtEnumerator

This enum is used internally by `QStyleOption`, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own `QStyleOption` subclass and your own styles.

Constant | Value | Description
--- | --- | ---
`SO_Button` | `2` | `QStyleOptionButton`
`SO_ComboBox` | `983044` | `QStyleOptionComboBox`
`SO_Complex` | `983040` | `QStyleOptionComplex`
`SO_Default` | `0` | `QStyleOption`
`SO_DockWidget` | `10` | `QStyleOptionDockWidget`
`SO_FocusRect` | `1` | `QStyleOptionFocusRect`
`SO_Frame` | `5` | `QStyleOptionFrame` `QStyleOptionFrameV2`
`SO_GraphicsItem` | `17` | `QStyleOptionGraphicsItem`
`SO_GroupBox` | `983047` | `QStyleOptionGroupBox`
`SO_Header` | `8` | `QStyleOptionHeader`
`SO_MenuItem` | `4` | `QStyleOptionMenuItem`
`SO_ProgressBar` | `6` | `QStyleOptionProgressBar` `QStyleOptionProgressBarV2`
`SO_RubberBand` | `15` | `QStyleOptionRubberBand`
`SO_SizeGrip` | `983048` | `QStyleOptionSizeGrip`
`SO_Slider` | `983041` | `QStyleOptionSlider`
`SO_SpinBox` | `983042` | `QStyleOptionSpinBox`
`SO_Tab` | `3` | `QStyleOptionTab`
`SO_TabBarBase` | `14` | `QStyleOptionTabBarBase`
`SO_TabWidgetFrame` | `13` | `QStyleOptionTabWidgetFrame`
`SO_TitleBar` | `983046` | `QStyleOptionTitleBar`
`SO_ToolBar` | `16` | `QStyleOptionToolBar`
`SO_ToolBox` | `7` | `QStyleOptionToolBox`
`SO_ToolButton` | `983043` | `QStyleOptionToolButton`
`SO_ViewItem` | `12` | `QStyleOptionViewItem` (used in Interviews)

The following values are used for custom controls:

Constant | Value | Description
--- | --- | ---
`SO_CustomBase` | `3840` | Reserved for custom QStyleOptions; all custom controls values must be above this value
`SO_ComplexCustomBase` | `251658240` | Reserved for custom QStyleOptions; all custom complex controls values must be above this value

Some style options are defined for various Qt3Support controls:

Constant | Value | Description
--- | --- | ---
`SO_Q3DockWindow` | `9` | `QStyleOptionQ3DockWindow`
`SO_Q3ListView` | `983045` | `QStyleOptionQ3ListView`
`SO_Q3ListViewItem` | `11` | `QStyleOptionQ3ListViewItem`

See Also:
  type

Enum Constant Summary
`CustomEnum`
`SO_Button` `QStyleOptionButton`
`SO_ComboBox` `QStyleOptionComboBox`
`SO_Complex` `QStyleOptionComplex`
`SO_ComplexCustomBase` Reserved for custom QStyleOptions; all custom complex controls values must be above this value
`SO_CustomBase` Reserved for custom QStyleOptions; all custom controls values must be above this value
`SO_Default` `QStyleOption`
`SO_DockWidget` `QStyleOptionDockWidget`
`SO_FocusRect` `QStyleOptionFocusRect`
`SO_Frame` `QStyleOptionFrame` `QStyleOptionFrameV2`
`SO_GraphicsItem` `QStyleOptionGraphicsItem`
`SO_GroupBox` `QStyleOptionGroupBox`
`SO_Header` `QStyleOptionHeader`
`SO_MenuItem` `QStyleOptionMenuItem`
`SO_ProgressBar` `QStyleOptionProgressBar` `QStyleOptionProgressBarV2`
`SO_Q3DockWindow` `QStyleOptionQ3DockWindow`
`SO_Q3ListView` `QStyleOptionQ3ListView`
`SO_Q3ListViewItem` `QStyleOptionQ3ListViewItem`
`SO_RubberBand` `QStyleOptionRubberBand`
`SO_SizeGrip` `QStyleOptionSizeGrip`
`SO_Slider` `QStyleOptionSlider`
`SO_SpinBox` `QStyleOptionSpinBox`
`SO_Tab` `QStyleOptionTab`
`SO_TabBarBase` `QStyleOptionTabBarBase`
`SO_TabWidgetFrame` `QStyleOptionTabWidgetFrame`
`SO_TitleBar` `QStyleOptionTitleBar`
`SO_ToolBar` `QStyleOptionToolBar`
`SO_ToolBox` `QStyleOptionToolBox`
`SO_ToolButton` `QStyleOptionToolButton`
`SO_ViewItem` `QStyleOptionViewItem` (used in Interviews)

Method Summary
`static QStyleOption.OptionType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOption.OptionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOption.OptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SO_Default

    public static final QStyleOption.OptionType SO_Default

  `QStyleOption`

### SO_FocusRect

    public static final QStyleOption.OptionType SO_FocusRect

  `QStyleOptionFocusRect`

### SO_Button

    public static final QStyleOption.OptionType SO_Button

  `QStyleOptionButton`

### SO_Tab

    public static final QStyleOption.OptionType SO_Tab

  `QStyleOptionTab`

### SO_MenuItem

    public static final QStyleOption.OptionType SO_MenuItem

  `QStyleOptionMenuItem`

### SO_Frame

    public static final QStyleOption.OptionType SO_Frame

  `QStyleOptionFrame` `QStyleOptionFrameV2`

### SO_ProgressBar

    public static final QStyleOption.OptionType SO_ProgressBar

  `QStyleOptionProgressBar` `QStyleOptionProgressBarV2`

### SO_ToolBox

    public static final QStyleOption.OptionType SO_ToolBox

  `QStyleOptionToolBox`

### SO_Header

    public static final QStyleOption.OptionType SO_Header

  `QStyleOptionHeader`

### SO_Q3DockWindow

    public static final QStyleOption.OptionType SO_Q3DockWindow

  `QStyleOptionQ3DockWindow`

### SO_DockWidget

    public static final QStyleOption.OptionType SO_DockWidget

  `QStyleOptionDockWidget`

### SO_Q3ListViewItem

    public static final QStyleOption.OptionType SO_Q3ListViewItem

  `QStyleOptionQ3ListViewItem`

### SO_ViewItem

    public static final QStyleOption.OptionType SO_ViewItem

  `QStyleOptionViewItem` (used in Interviews)

### SO_TabWidgetFrame

    public static final QStyleOption.OptionType SO_TabWidgetFrame

  `QStyleOptionTabWidgetFrame`

### SO_TabBarBase

    public static final QStyleOption.OptionType SO_TabBarBase

  `QStyleOptionTabBarBase`

### SO_RubberBand

    public static final QStyleOption.OptionType SO_RubberBand

  `QStyleOptionRubberBand`

### SO_ToolBar

    public static final QStyleOption.OptionType SO_ToolBar

  `QStyleOptionToolBar`

### SO_GraphicsItem

    public static final QStyleOption.OptionType SO_GraphicsItem

  `QStyleOptionGraphicsItem`

### SO_Complex

    public static final QStyleOption.OptionType SO_Complex

  `QStyleOptionComplex`

### SO_Slider

    public static final QStyleOption.OptionType SO_Slider

  `QStyleOptionSlider`

### SO_SpinBox

    public static final QStyleOption.OptionType SO_SpinBox

  `QStyleOptionSpinBox`

### SO_ToolButton

    public static final QStyleOption.OptionType SO_ToolButton

  `QStyleOptionToolButton`

### SO_ComboBox

    public static final QStyleOption.OptionType SO_ComboBox

  `QStyleOptionComboBox`

### SO_Q3ListView

    public static final QStyleOption.OptionType SO_Q3ListView

  `QStyleOptionQ3ListView`

### SO_TitleBar

    public static final QStyleOption.OptionType SO_TitleBar

  `QStyleOptionTitleBar`

### SO_GroupBox

    public static final QStyleOption.OptionType SO_GroupBox

  `QStyleOptionGroupBox`

### SO_SizeGrip

    public static final QStyleOption.OptionType SO_SizeGrip

  `QStyleOptionSizeGrip`

### SO_CustomBase

    public static final QStyleOption.OptionType SO_CustomBase

  Reserved for custom QStyleOptions; all custom controls values must be above this value

### SO_ComplexCustomBase

    public static final QStyleOption.OptionType SO_ComplexCustomBase

  Reserved for custom QStyleOptions; all custom complex controls values must be above this value

### CustomEnum

    public static final QStyleOption.OptionType CustomEnum

Method Detail

### values

    public static final QStyleOption.OptionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOption.OptionType c : QStyleOption.OptionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOption.OptionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOption.OptionType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD